3

System info:

  • Lubuntu 22.04.1 x86_64
  • kernel (uname -r): 5.15.0-47-generic

Packages installed from default repos:

  • xsane: 0.999-11ubuntu1
  • gimp: 2.10.30-1build1

I am trying to get GIMP XSane plugin to work. xsane package installs /usr/lib/gimp/2.0/plug-ins/xsane/xsane. It appears GIMP is finding the plugin but it doesn't show up in the File -> Create or File -> Acquire menu. If I create a symlink to it in ~/.config/GIMP/2.10/plug-ins it reports "Skipping duplicate plug-in: '/usr/lib/gimp/2.0/plug-ins/xsane/xsane'". I have tried deleting the ~/.config/GIMP/2.10/pluginrc file & restarting but no change. I have also tried setting the symlink directly to /usr/bin/xsane with the same result (terminal reports "Skipping duplicate plug-in").

The plugin for xscanimage provided by the sane package works. It creates the menu option File -> Create -> xscanimage. Any clues on why the xsane one does not? It works fine on its own, just GIMP isn't showing any option to acquire from that source. Since it appears to find the plugin but there is no error output, I'm guessing that it is loaded but I don't see anything in the Plug-In Browser related to it.

I have looked through the following articles & threads:

Some suggestions are to install GIMP from this 3rd party PPA. But I have not tried that yet as I was hoping to get it to work from the standard repos. (Edit: looking at the PPA more closely it doesn't currently provide any packages for Jammy)

3
  • 2
    I think this bug is related: launchpad.net/bugs/1948881 Sep 7, 2022 at 0:55
  • Thank you. Yes, that sounds just like my issue. Sep 7, 2022 at 0:58
  • In the discussion of that bug report, it sounds like the problem if fixed in the xsane upstream source. But there has been no new package for Ubuntu yet. Sep 7, 2022 at 1:06

1 Answer 1

2

As Gunnar pointed out there is a bug report about the plugin being broken in newer versions of GIMP. The xsane upstream source has fixed it, but there is no new package available for Ubuntu yet. So the current solution would be to build xsane from the upstream source or use a PPA with a newer package (which I haven't found yet).

A workaround is to use the following patch on ~/.config/GIMP/2.10/pluginrc:

--- pluginrc.orig   2022-09-06 18:15:41.106929642 -0700
+++ pluginrc    2022-09-06 18:19:54.978177413 -0700
@@ -66,8 +66,9 @@
          "Oliver Rauch"
          "Oliver Rauch"
          "1998-2013"
-         "/File/Acquire/XSane/Device dialog..."
-         0
+         ""
+         1
+        (menu-path "<Image>/File/Create/Acquire/XSane/Device dialog...")
         (icon icon-name -1 "")
          ""
          1 0

But that change will be reverted when GIMP rewrites the file to update the plugins cache.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .